BEGIN 1xAeMer

IF~True()~THEN BEGIN 1xAeMer0
SAY ~(A man with unique face seems to be busy with some kind of bags. He is different from other citizens of the town. He has a nice, shaped beard and a mustache.)~
IF~~THEN REPLY ~(Leave him with his bags.)~ EXIT
IF~GlobalGT("AeonToBQuest","GLOBAL",3)~THEN REPLY ~It seems that you're not from here. I am looking for a bit extraordinary item that would be able to calm a fire energy. Do you have something like that?~ GOTO 1xAeMer2
END

IF~~THEN BEGIN 1xAeMer2
SAY ~Ah, you were talking to me? Hehe, I am joking of course. Well, you guessed well - I'm not from here. I am a travelling merchant. You are lucky. I may have something for you.~
=
~I have a bottle of water called Liquid Ice. It's something that will be able to help you - no matter with how big flame you want to deal! I can sell it for 2500 gp. Interested?~
IF~PartyGoldGT(2499)~THEN REPLY ~Yes, I'll take it, please.~ GOTO 1xAeMer3
IF~PartyGoldGT(2499)~THEN REPLY ~Yeah. Give me that and go away.~ GOTO 1xAeMer3
IF~~THEN REPLY ~No.~ GOTO 1xAeMer4
END

IF~~THEN BEGIN 1xAeMer3
SAY ~Here it is. Oh, and remember - do not even think about drinking it! It would kill you!~ 
IF~~THEN DO ~GiveItemCreate("AEOICE",Player1,0,0,0) TakePartyGold(2500) EscapeArea()~ EXIT
END

IF~~THEN BEGIN 1xAeMer4
SAY ~Oh, I see. But why you asked then? Nevermind...~
IF~~THEN EXIT
END